> For the complete documentation index, see [llms.txt](https://help.security.gallagher.com/knowledge-hub/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.security.gallagher.com/knowledge-hub/developer/rest-api/receptions.md).

# Receptions

A reception is an item that represents a location at which site visitors identify themselves, meet their hosts, and fulfil induction requirements. Every visit item has a reception. This controller gives you the list of receptions you can pick from when creating a visit.

This controller is read-only. It lets you pick a reception by name so that you can use its href on the visits controller.

Receptions are new to 8.50.

### Use case: finding a reception by name

1. `GET /api`
2. Follow the link at `features.receptions.receptions.href` ↪ after adding search terms such as `name="Front lobby"`. A site typically has very few receptions, so if you add `top=1000` you're very unlikely to need to follow a `next` link.
3. Find the reception you're after and use its href in a visit.

## Search receptions

> This returns the receptions you are privileged to view.\
> \
> The result will contain no more than 100 or 1000 objects depending on your version; you\
> should follow the \`next\` link, if it is present, to collect more, or use the \`top\` parameter\
> to get more per page.  Receptions are small, so setting a limit of 1000 is sensible.\
> \
> When you have loaded all the receptions there will no \`next\` link.\
> \
> \[Do not code this URL]\(forward-compatibility-hateoas) into your application.  Take\
> it from the href in the \`features.receptions.receptions\` section of \`/api\`.<br>

```json
{"openapi":"3.2.0","info":{"title":"Command Centre REST API","version":"2.0"},"tags":[{"name":"Receptions","description":"A reception is an item that represents a location at which site visitors identify themselves,\nmeet their hosts, and fulfil induction requirements.  Every visit item has a reception.  This\ncontroller gives you the list of receptions you can pick from when creating a visit.\n\nThis controller is read-only.  It lets you pick a reception by name so that you can use its href\non the visits controller.\n\nReceptions are new to 8.50.\n\n## Use case:  finding a reception by name\n1. `GET /api`\n1. Follow the link at `features.receptions.receptions.href` [↪](receptions#get-api-receptions)\n   after adding search terms such as `name=\"Front lobby\"`.  A site typically has very few\n   receptions, so if you add `top=1000` you're very unlikely to need to follow a `next` link.\n1. Find the reception you're after and use its href in a visit.\n"}],"servers":[{"url":"https://127.0.0.1:8904"}],"security":[{"API_key":[]},{"basic":[]}],"components":{"securitySchemes":{"API_key":{"type":"apiKey","name":"Authorization","in":"header","description":"\nClients authenticate by including a pre-shared API key in the `Authorization` header of each\nrequest after an authorisation method of `GGL-API-KEY`:\n\n`Authorization: GGL-API-KEY C774-B01F-D695-AA4B-215F-A158-AC22-ADEB`\n\nFor a fuller description see [API authentication](api-authentication).\n"},"basic":{"type":"http","scheme":"basic","description":"This is HTTP Basic authentication using a blank username and the API key as the password.\n\nExample:  `Authorization: Basic OkM3NzQtQjAxRi1ENjk1LUFBNEItMjE1Ri1BMTU4LUFDMjItQURFQg==`\n\nThat example is equivalent to the example in the description of the api_Key method:\nprepending a colon to the API key beginning with `C774` then encoding it into Base64\nproduces the 56 characters beginning with `OkM3`.\n\nThe colon is a separator between a username, which is blank in our case, and the password,\nwhich is our API key.\n\nFor a fuller description see [API authentication](api-authentication)\n"}},"parameters":{"sort":{"name":"sort","in":"query","schema":{"type":"string","enum":["id","name","-id","-name"]},"required":false,"description":"Changes the sort field between database ID and name.\n\nIf you prefix `id` or `name` with a minus sign (ASCII 45), the sort order is reversed.\n\nThere are two very strong reasons to sort by ID:\n\n1. Sorting by name carries a risk of missing or duplicating objects if your result set spans\n   multiple pages and another operator is editing the database while your REST client is\n   enumerating them.  This is known as \"page drift.\"  Sorting by ID does not carry that risk.\n2. Following a `next` link is _dramatically_ quicker when sorting by ID.\n\nWe _strongly_ recommend sorting by ID.  In case you were still in doubt, we will do that by\ndefault in a future version of Command Centre.\n\nThe server silently ignores anything except the options listed here.\n"},"top":{"name":"top","in":"query","required":false,"schema":{"type":"integer","minimum":1},"description":"Limits the results to no more than this many items per page.\n\nOlder versions of Command Centre returned 100 items per page in the absence of this parameter.  That is acceptable for GUI\napplications that will only display the first page, but for integrations that intend to\nproceed through the entire database it causes a lot of chatter.\n\n8.70 and later versions will default to 1000 items per request.  This is about where a graph\nof throughput versus page size begins to level out.\n"},"name":{"name":"name","in":"query","schema":{"type":"string"},"description":"Limits the returned items to those with a name that matches this string.  Without surrounding\nquotes or a percent sign or underscore, it is a substring match; surround the parameter with\ndouble quotes `\"...\"` for an exact match.  Without quotes, a percent sign `%` will match any\nsubstring and an underscore will match any single character.\n\nThe search is always case-insensitive.  Results are undefined if you do a substring search for\nthe empty string (`name=`).  You will receive no items if you search for those with no name\n(`name=\"\"`), as all items must have a name.\n\nSearch parameters are ANDed together.\n"},"division":{"name":"division","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":false,"description":"Limits the returned items to those that are in these divisions.\n\nThat includes all the items in those divisions' child divisions, because Command Centre treats\nitems as though they are also in their division's parent, and its parent, and so on up to the\nroot division.\n\nSeparate the IDs of the divisions in you are interested with commas.  Item IDs are short\nalphanumeric strings, not URLs.\n\nResults are undefined if you provide an ID that is not in the form of a division ID.\n\nSearch parameters are ANDed together.\n"},"directDivision":{"name":"directDivision","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":false,"description":"Restricts items to those whose division is in this list.\n\nUnlike `division=`, it does not follow ancestry.  That means it will limit the search to items\nthat are directly assigned to the divisions you list, whereas `division` (without the\n`direct`) will also include items that are assigned to their descendants.\n\nList the IDs of the divisions you are interested in separated by commas.  Item IDs are short\nalphanumeric strings, not URLs.\n\nBecause this is the first query parameter we added that contains a capital letter, this will\nbe the first time you have had to think about case sensitivity.  `directDivision` works,\n`directdivision` does not.\n\nResults are undefined if you provide an ID that is not in the form of a division ID.\n\nSearch parameters are ANDed together.\n\nAdded in 9.20.\n"},"description":{"name":"description","in":"query","required":false,"schema":{"type":"string"},"description":"Limits the returned items to those with a description that matches this string.  By default it\nis a substring match; surround it with double quotes `\"...\"` for an exact match.  A `_` will\nmatch any single character, and a `%` will match any substring.  With or without quotes,\nhaving either of these wildcards in the string will anchor it at both ends as though you had\nsurrounded it with `\"`.\n\nThe search is always case-insensitive.  Results are undefined if you search for the empty\nstring (`description=` or `description=\"\"`).\n\nSearch parameters are ANDed together.\n"},"reception_fields":{"name":"fields","in":"query","required":false,"schema":{"default":["defaults"],"type":"array","items":{"type":"string","enum":["href","name","description","division","serverDisplayName","defaultVisitorType","notes","defaults"]}},"description":"Specifies the fields in the response.  The values you can list are the same in the search and\ndetails pages.  Using it you can return everything on the search page that you would find on\nthe details page, plus the reception's notes.  Separate values with commas.\n\nUse the special value `defaults` to return the fields you would have received had you not\ngiven the parameter at all.  Add more after a comma.\n\nTreat the string matches as case-sensitive.\n"},"pos":{"name":"pos","in":"query","required":false,"schema":{"type":"integer"},"description":"Reserved for internal use.  You may see it in URLs you receive from the server, but you must never add it yourself."},"skip":{"name":"skip","in":"query","required":false,"schema":{"type":"integer"},"description":"Reserved for internal use.  Do not add it to your queries."}},"schemas":{"ReceptionSearch":{"title":"Reception search","description":"An array of receptions, and a `next` link for more.\n","properties":{"results":{"type":"array","description":"An array of receptions.","items":{"$ref":"#/components/schemas/Reception"}},"next":{"type":"object","description":"The link to the next page of results.  Absent if you have retrieved them all.","properties":{"href":{"type":"string","format":"uri-reference"}}}}},"Reception":{"description":"`/api/receptions` returns an array of these, and `/api/receptions/{id}` returns one.  Each\ngives you enough about a reception to identify it and use it in a visit:  its href, name, and\n(if you ask for them using the `fields` parameter) its description, default visitor type, and\nnotes.\n","properties":{"name":{"type":"string"},"href":{"type":"string","format":"uri-reference","description":"This is the href to use when creating a visit.\n"},"serverDisplayName":{"readOnly":true,"type":"string","description":"If you are running a multi-server installation and this item is homed on a remote server, this\nfield will contain the name of that server.  This field is missing from items that are held on\nthe machine that served the API request.  Added in 8.40.\n\nThis is a read-only field.  The server will ignore it if you send it.\n"},"description":{"type":"string","description":"Short free-form text.  Searches do not return an item's description - ask for it using the\n`fields` parameter.\n"},"division":{"type":"object","description":"The division containing this reception."},"defaultVisitorType":{"type":"object","description":"Gallagher's visitor management applications use this to pre-fill a UI element prompting\nthe user to pick a visitor type when they are creating a visit for this reception.  The\nserver does not use it.\n"},"notes":{"type":"string","description":"Free-form text.  You will only get this field if you ask for it with the `fields`\nparameter.\n"}}}}},"paths":{"/api/receptions":{"get":{"tags":["Receptions"],"summary":"Search receptions","description":"This returns the receptions you are privileged to view.\n\nThe result will contain no more than 100 or 1000 objects depending on your version; you\nshould follow the `next` link, if it is present, to collect more, or use the `top` parameter\nto get more per page.  Receptions are small, so setting a limit of 1000 is sensible.\n\nWhen you have loaded all the receptions there will no `next` link.\n\n[Do not code this URL](forward-compatibility-hateoas) into your application.  Take\nit from the href in the `features.receptions.receptions` section of `/api`.\n","parameters":[{"$ref":"#/components/parameters/sort"},{"$ref":"#/components/parameters/top"},{"$ref":"#/components/parameters/name"},{"$ref":"#/components/parameters/division"},{"$ref":"#/components/parameters/directDivision"},{"$ref":"#/components/parameters/description"},{"$ref":"#/components/parameters/reception_fields"},{"$ref":"#/components/parameters/pos"},{"$ref":"#/components/parameters/skip"}],"responses":{"200":{"description":"Success.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReceptionSearch"}}}},"403":{"description":"The site does not have the RESTCardholders licence."}}}}}}
```

## Get details of a reception

> This returns details for a reception.  Follow the href in the\
> \[summary]\(models#receptionsearch) to get here, rather than \[building it\
> yourself]\(forward-compatibility-hateoas).<br>

```json
{"openapi":"3.2.0","info":{"title":"Command Centre REST API","version":"2.0"},"tags":[{"name":"Receptions","description":"A reception is an item that represents a location at which site visitors identify themselves,\nmeet their hosts, and fulfil induction requirements.  Every visit item has a reception.  This\ncontroller gives you the list of receptions you can pick from when creating a visit.\n\nThis controller is read-only.  It lets you pick a reception by name so that you can use its href\non the visits controller.\n\nReceptions are new to 8.50.\n\n## Use case:  finding a reception by name\n1. `GET /api`\n1. Follow the link at `features.receptions.receptions.href` [↪](receptions#get-api-receptions)\n   after adding search terms such as `name=\"Front lobby\"`.  A site typically has very few\n   receptions, so if you add `top=1000` you're very unlikely to need to follow a `next` link.\n1. Find the reception you're after and use its href in a visit.\n"}],"servers":[{"url":"https://127.0.0.1:8904"}],"security":[{"API_key":[]},{"basic":[]}],"components":{"securitySchemes":{"API_key":{"type":"apiKey","name":"Authorization","in":"header","description":"\nClients authenticate by including a pre-shared API key in the `Authorization` header of each\nrequest after an authorisation method of `GGL-API-KEY`:\n\n`Authorization: GGL-API-KEY C774-B01F-D695-AA4B-215F-A158-AC22-ADEB`\n\nFor a fuller description see [API authentication](api-authentication).\n"},"basic":{"type":"http","scheme":"basic","description":"This is HTTP Basic authentication using a blank username and the API key as the password.\n\nExample:  `Authorization: Basic OkM3NzQtQjAxRi1ENjk1LUFBNEItMjE1Ri1BMTU4LUFDMjItQURFQg==`\n\nThat example is equivalent to the example in the description of the api_Key method:\nprepending a colon to the API key beginning with `C774` then encoding it into Base64\nproduces the 56 characters beginning with `OkM3`.\n\nThe colon is a separator between a username, which is blank in our case, and the password,\nwhich is our API key.\n\nFor a fuller description see [API authentication](api-authentication)\n"}},"parameters":{"reception_fields":{"name":"fields","in":"query","required":false,"schema":{"default":["defaults"],"type":"array","items":{"type":"string","enum":["href","name","description","division","serverDisplayName","defaultVisitorType","notes","defaults"]}},"description":"Specifies the fields in the response.  The values you can list are the same in the search and\ndetails pages.  Using it you can return everything on the search page that you would find on\nthe details page, plus the reception's notes.  Separate values with commas.\n\nUse the special value `defaults` to return the fields you would have received had you not\ngiven the parameter at all.  Add more after a comma.\n\nTreat the string matches as case-sensitive.\n"}},"schemas":{"Reception":{"description":"`/api/receptions` returns an array of these, and `/api/receptions/{id}` returns one.  Each\ngives you enough about a reception to identify it and use it in a visit:  its href, name, and\n(if you ask for them using the `fields` parameter) its description, default visitor type, and\nnotes.\n","properties":{"name":{"type":"string"},"href":{"type":"string","format":"uri-reference","description":"This is the href to use when creating a visit.\n"},"serverDisplayName":{"readOnly":true,"type":"string","description":"If you are running a multi-server installation and this item is homed on a remote server, this\nfield will contain the name of that server.  This field is missing from items that are held on\nthe machine that served the API request.  Added in 8.40.\n\nThis is a read-only field.  The server will ignore it if you send it.\n"},"description":{"type":"string","description":"Short free-form text.  Searches do not return an item's description - ask for it using the\n`fields` parameter.\n"},"division":{"type":"object","description":"The division containing this reception."},"defaultVisitorType":{"type":"object","description":"Gallagher's visitor management applications use this to pre-fill a UI element prompting\nthe user to pick a visitor type when they are creating a visit for this reception.  The\nserver does not use it.\n"},"notes":{"type":"string","description":"Free-form text.  You will only get this field if you ask for it with the `fields`\nparameter.\n"}}}}},"paths":{"/api/receptions/{id}":{"get":{"tags":["Receptions"],"summary":"Get details of a reception","description":"This returns details for a reception.  Follow the href in the\n[summary](models#receptionsearch) to get here, rather than [building it\nyourself](forward-compatibility-hateoas).\n","parameters":[{"$ref":"#/components/parameters/reception_fields"}],"responses":{"200":{"description":"Success.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Reception"}}}},"403":{"description":"The site does not have the RESTCardholders or RESTEvents licence.\n"},"404":{"description":"The operator does not have a privilege that allows viewing that reception's definition\n('View Site', 'Edit Site', 'View Visits', 'Edit Visits', or 'Manage Receptions').\n"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://help.security.gallagher.com/knowledge-hub/developer/rest-api/receptions.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
